# Hyperbolic functions

xtensor provides the following hyperbolic functions for xexpressions:

Defined in `xtensor/xmath.hpp`

template <class E>
auto `xt::``sinh`(E &&e)

  Hyperbolic sine function.

  Returns an xfunction for the element-wise hyperbolic sine of e.

  Return
    an xfunction
  Parameters
    - `e`: an xexpression

template <class E>
auto `xt::``cosh`(E &&e)

  Hyperbolic cosine function.

  Returns an xfunction for the element-wise hyperbolic cosine of e.

  Return
    an xfunction
  Parameters
    - `e`: an xexpression

template <class E>
auto `xt::``tanh`(E &&e)

  Hyperbolic tangent function.

  Returns an xfunction for the element-wise hyperbolic tangent of e.

  Return
    an xfunction
  Parameters
    - `e`: an xexpression

template <class E>
auto `xt::``asinh`(E &&e)

  Inverse hyperbolic sine function.

  Returns an xfunction for the element-wise inverse hyperbolic sine of e.

  Return
    an xfunction
  Parameters
    - `e`: an xexpression

template <class E>
auto `xt::``acosh`(E &&e)

  Inverse hyperbolic cosine function.

  Returns an xfunction for the element-wise inverse hyperbolic cosine of e.

  Return
    an xfunction
  Parameters
    - `e`: an xexpression

template <class E>
auto `xt::``atanh`(E &&e)

  Inverse hyperbolic tangent function.

  Returns an xfunction for the element-wise inverse hyperbolic tangent of e.

  Return
    an xfunction
  Parameters
    - `e`: an xexpression